FcConfigSetFontSetFilter(3)

NAME
FcConfigSetFontSetFilter - Set a predicate function to filter fontsets

SYNOPSIS

#include <fontconfig/fontconfig.h>

FcConfig * FcConfigSetFontSetFilter (FcConfig *config, FcFilterFontSetFunc filter_func, FcDestroyFunc destroy_data_func, void *user_data);

DESCRIPTION

Sets filter_func as a predicate function and filter out fontsets in config as desired. filter_func will be called with a font pattern and user_data only when loading caches. When config is going to be destroyed, user_data will be destroyed through destroy_data_func if it is set.

SINCE

version 2.16.0